#! /usr/bin/perl
#
#--------------------------------------------------------------
# This code is used for spliting predictions for each protein
# Before running this code, you need install perl
# In our experiment, perl V5.18.2 64bit is tested
#--------------------------------------------------------------
# Written by Jian Zhang (Email:jzhang6@vcu.edu)
# Please contact jzhang6@vcu.edu if you have any problems
#--------------------------------------------------------------
system "mkdir Training30smallPRO";

$ID="XXXXXX";
open READ,"Training30smallPRO_T.txt" or die "read error!\n";

open LIST,">PRO.list";
while(defined($eachline=<READ>)){
	chomp($eachline);
	if($eachline =~ /^>/){
		my $len=length($eachline);
		$ID=substr($eachline,1,$len-1);

		print LIST $ID."\n";

		open WRITE,">Training30smallPRO/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}else{
		open WRITE,">>Training30smallPRO/$ID.txt";
		print WRITE $eachline."\n";
		close WRITE;
	}
}
close READ;
close LIST;



