#! /usr/bin/perl
#
#--------------------------------------------------------------
# This code is used for combining predictions and labels for each residue
# Before running this code, you need install perl
# In our experiment, perl V5.18.2 64bit is tested
#--------------------------------------------------------------
# Written by Jian Zhang (Email:jzhang6@vcu.edu)
# Please contact jzhang6@vcu.edu if you have any problems
#--------------------------------------------------------------
open LIST,"PRO.list" or die "read error!\n";
chomp(@list=<LIST>);
close LIST;

foreach $list(@list){
	
	open READ,"Training30smallPRO/$list.txt";
	chomp(@array=<READ>);
	close READ;

	@callen=split(//,@array[1]);
	$length=0;
	for($iteration=0;$iteration<@callen;$iteration++){
		if(@callen[$iteration] =~ /[A-Z]/){
			$length=$length+1;
		}
	}
	
	@bind=split(//,@array[2]);
	@pred=split(/\s+/,@array[3]);
	open WRITE,">>hybriPROPPROpred01.txt";
	for($cn=0;$cn<$length;$cn++){
		if(@bind[$cn] eq "1" || @bind[$cn] eq "0"){
			print WRITE @bind[$cn]." ".@pred[$cn]."\n";
		} 
	}
	close WRITE;
}

